Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Gregory Heytings <[email-masked]>
Date: Sat, 17 Apr 2021 12:31:27 +0000

>> So how about setting visible-bell to t by default in Emacs 28?  This 
>> behavior was called "barbaric" by Chong Yidong in 2008, and the 
>> situation hasn't improved since.
>
> I think that sounds like a good idea, but does visible-bell look nice on 
> all systems, or are there major differences?
>

I attach two screenshots, one on Debian GNU/Linux, the other one on macOS.

IMO, the default behavior on GNU/Linux (inverting video on the first and 
last line of the frame) is horrible (but perhaps less so than an actual 
bell), and the default behavior on macOS is too intrusive (but again 
perhaps less so than an actual bell).

Perhaps a nicer way to do this is possible, e.g. make the background of 
the minibuffer (which is what the user is invited to look at) yellow or 
red (unless it's already yellow or red).